## ros-kinetic-ecl-devices 0.61.17

=== CMakeLists.txt ===
##############################################################################
# Cmake
##############################################################################

cmake_minimum_required(VERSION 2.8.3)
project(ecl_devices)

##############################################################################
# Catkin
##############################################################################

find_package(catkin REQUIRED COMPONENTS 
    ecl_config
    ecl_errors
    ecl_mpl
    ecl_type_traits
    ecl_utilities
    ecl_containers
    ecl_threads
    )
catkin_package(
        INCLUDE_DIRS include
        LIBRARIES ${PROJECT_NAME}
	CATKIN_DEPENDS 
            ecl_config 
            ecl_errors 
            ecl_mpl
            ecl_type_traits
            ecl_utilities
            ecl_containers
            ecl_threads
        )
include_directories(include ${catkin_INCLUDE_DIRS})

##############################################################################
# Actual project configuration
##############################################################################

ecl_enable_cxx11_compiler()

add_subdirectory(include)
add_subdirectory(src)

=== src/CMakeLists.txt ===
###############################################################################
# SUBDIRECTORIES
###############################################################################

add_subdirectory(lib)
if(CATKIN_ENABLE_TESTING)
  add_subdirectory(test)
endif()
add_subdirectory(examples)

=== include/ecl/CMakeLists.txt ===
###############################################################################
# SUBDIRECTORIES
###############################################################################

add_subdirectory(devices)

###############################################################################
# FILES
###############################################################################

file(GLOB HEADERS RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.hpp)
  
install(FILES ${HEADERS} DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION}/ecl)

=== src/examples/CMakeLists.txt ===
###############################################################################
# Examples
###############################################################################

add_executable(demo_serial_timeouts serial_timeouts.cpp)
target_link_libraries(demo_serial_timeouts ${PROJECT_NAME} ${catkin_LIBRARIES})
install(TARGETS demo_serial_timeouts RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== src/lib/CMakeLists.txt ===
###############################################################################
# Sources
###############################################################################

#file(GLOB SOURCES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.cpp)

set(SOURCES 
    detail/character_buffer.cpp
    detail/error_handler.cpp
    detail/exception_handler_pos.cpp
    #detail/socket_error_handler_pos.cpp
    detail/socket_exception_handler_pos.cpp
    console.cpp
    ofile_pos.cpp
    ofile_w32.cpp
    serial_pos.cpp # Don't need to split now as I put ifdef guards around the cpp's. Do to the others too!
    serial_w32.cpp
    shared_file.cpp
    socket_client_pos.cpp
    socket_server_pos.cpp
    string.cpp
    )

###############################################################################
# Install
###############################################################################

add_library(${PROJECT_NAME} ${SOURCES})
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})
install(TARGETS ${PROJECT_NAME}
   RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
)

=== src/test/CMakeLists.txt ===
###############################################################################
# Macro
###############################################################################

macro(ecl_devices_add_gtest test_name)
  catkin_add_gtest(ecl_test_${test_name} ${test_name}.cpp)
  if(TARGET ecl_test_${test_name})
    target_link_libraries(ecl_test_${test_name} ${PROJECT_NAME} ${catkin_LIBRARIES})
  endif()
endmacro()

###############################################################################
# Google Tests
###############################################################################

ecl_devices_add_gtest(shared_files)
ecl_devices_add_gtest(files)

=== include/ecl/devices/CMakeLists.txt ===
###############################################################################
# Subdirectories
###############################################################################

add_subdirectory(detail)

###############################################################################
# Files
###############################################################################

file(GLOB HEADERS RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.hpp)
  
install(FILES ${HEADERS} DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION}/ecl/devices)

=== include/ecl/devices/detail/CMakeLists.txt ===
###############################################################################
# Files
###############################################################################

file(GLOB HEADERS RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.hpp)
  
install(FILES ${HEADERS} DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION}/ecl/devices/detail)

=== debian/changelog ===
ros-kinetic-ecl-devices (0.61.17-0xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 05 Feb 2017 14:25:38 -0000

ros-kinetic-ecl-devices (0.61.12-0xenial) xenial; urgency=high

  * apple baud rate 460800

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 02 May 2016 15:00:00 -0000

ros-kinetic-ecl-devices (0.61.1-0xenial) xenial; urgency=high

  * catch the error code as a hint for when fcntl calls fail on serial devices
  * additional baud rate enums for serial devices covering a wider range
  * deprecated a couple of serial device baud rates that are no longer valid

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 21 Jul 2015 15:00:00 -0000

ros-kinetic-ecl-devices (0.61.0-0xenial) xenial; urgency=high

  * allow immediate socket reuse in the socket client/server
  * define an undefined baud rate for apple

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 11 Sep 2014 15:00:00 -0000

ros-kinetic-ecl-devices (0.60.8-0xenial) xenial; urgency=high

  * control new posix.1-2008 SIGPIPE signals, #34 <https://github.com/stonier/ecl_core/issues/34>
  * Contributors: Daniel Stonier

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 09 Feb 2014 15:00:00 -0000

ros-kinetic-ecl-devices (0.60.7-0xenial) xenial; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 02 Feb 2014 15:00:00 -0000

ros-kinetic-ecl-devices (0.60.6-0xenial) xenial; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 28 Jan 2014 15:00:00 -0000

=== debian/control ===
Source: ros-kinetic-ecl-devices
Section: misc
Priority: extra
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-ecl-config, ros-kinetic-ecl-containers, ros-kinetic-ecl-errors, ros-kinetic-ecl-license, ros-kinetic-ecl-mpl, ros-kinetic-ecl-threads, ros-kinetic-ecl-type-traits, ros-kinetic-ecl-utilities
Homepage: http://wiki.ros.org/ecl_devices
Standards-Version: 3.9.2

Package: ros-kinetic-ecl-devices
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-ecl-config, ros-kinetic-ecl-containers, ros-kinetic-ecl-errors, ros-kinetic-ecl-license, ros-kinetic-ecl-mpl, ros-kinetic-ecl-threads, ros-kinetic-ecl-type-traits, ros-kinetic-ecl-utilities
Description: Provides an extensible and standardised framework for input-output devices.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-ecl-devices//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
